#
# Conditional build:
%bcond_with	tests	# do not perform "make test"

%define		module	apsw
%define		sqlite_ver 3.38.5

Summary:	Another Python SQLite Wrapper
Summary(pl.UTF-8):	Another Python SQLite Wrapper - jeszcze jeden pythonowy wrapper dla SQLite
Name:		python3-%{module}
Version:	3.38.5
Release:	2
License:	Free
Group:		Libraries/Python
Source0:	https://github.com/rogerbinns/apsw/archive/%{version}-r1.tar.gz
# Source0-md5:	a860b99c71b1dda34634cdaec97dff65
URL:		http://rogerbinns.github.io/apsw/
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	rpm-pythonprov
BuildRequires:	sqlite3-devel >= %{sqlite_ver}
BuildRequires:	unzip
BuildRequires:	python3-devel
BuildRequires:	python3-modules
Requires:	sqlite3 >= %{sqlite_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
APSW provides an SQLite 3 wrapper that provides the thinnest layer
over SQLite 3 possible. Everything you can do from the C API to SQLite
3, you can do from Python. Although APSW looks vaguely similar to the
DBAPI, it is not compliant with that API and instead works the way
SQLite 3 does.

%description -l pl.UTF-8
APSW udostępnia wrapper SQLite 3 dostarczający najcieńszą jak to tylko
możliwe warstwę ponad SQLite 3. Wszystko co można zrobić z poziomu API
C SQLite 3 można zrobić także z poziomu Pythona. Chociaż APSQ wygląda
dosyć podobnie do DBAPI, nie jest kompatybilne z tym API, natomiast
działa tak, jak SQLite 3.

%package apidocs
Summary:	%{module} API documentation
Summary(pl.UTF-8):	Dokumentacja API %{module}
Group:		Documentation

%description apidocs
API documentation for %{module}.

%description apidocs -l pl.UTF-8
Dokumentacja API %{module}.

%prep
%setup -q -n %{module}-%{version}-r1

%build
%py3_build --enable=load_extension %{?with_tests:test}

%if %{with doc}
cd docs
%{__make} -j1 html
rm -rf _build/html/_sources
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%dir %{py3_sitedir}/%{module}
%{py3_sitedir}/%{module}/*.so
%{py3_sitedir}/%{module}/*.pyi
%{py3_sitedir}/%{module}/py.typed
%{py3_sitedir}/%{module}-%{version}*-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/*
%endif
%changelog
* Sat Jul 02 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-apsw.git;a=log;h=master

* Sat Jul 02 2022 Jan Rękorajski <baggins@pld-linux.org> eaf81ef
- package module dir, rel 2

* Sat Jul 02 2022 Jan Rękorajski <baggins@pld-linux.org> 6c24763
- up to 3.38.5

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 3d67009
- rebuild with tests and docs

* Mon Mar 28 2022 Jan Rękorajski <baggins@pld-linux.org> 96f6a11
- Release 16 (by relup.sh)

* Mon Mar 28 2022 Jan Rękorajski <baggins@pld-linux.org> fcf90c4
- drop python3-distribute deps

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 4e73ba9
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> e6fd53b
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 5bd24db
- rebuild with separate debuginfo build-ids

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 9010609
- release 12 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> fb927cc
- rebuild with python 3.8
- release 11 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 931d172
- python 3.7 rebuild
- release 10 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 3e0242d
- python 3.6
- release 9 (by relup.sh)

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 372d5f2
- release 8 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 72254a0
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 090802f
- release 7 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6541522
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 5fe6239
- release 6 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 5f483ae
- python 3.5 rebuild
- release 5 (by relup.sh)

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 510d947
- x32 rebuild
- release 4 (by relup.sh)

* Mon Oct 20 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 0b2b479
- release 3 (by relup.sh)

